package com.its.pis.websocket.C2F.prk_plce_sttus;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.*;

/**
 * 주차정보 수집장치 종류별 수량
 */
@Data
@Builder
@NoArgsConstructor(access = AccessLevel.PRIVATE)
@AllArgsConstructor(access = AccessLevel.PRIVATE)
@JsonIgnoreProperties(ignoreUnknown = true)
public class TypedPrkColctDeviceQty {
    // 선택

    // 영상식
    private Integer type_imgage;            //  numeric(18,0) 2(대)
    // 지자기
    private Integer type_geomagnetic;       //  numeric(18,0) 5(대)
    // 레이더
    private Integer type_radar;             //  numeric(18,0) 1(대)
    // 루프
    private Integer type_loop;              //  numeric(18,0) 3(대)
    // 초음파
    private Integer type_ultrasonic;        //  numeric(18,0) 4(대)
    // 기타
    private Integer type_etc;               //  numeric(18,0) 0(대)
}
